# Info

1. [Installation](https://github.com/bitnami-labs/sealed-secrets?tab=readme-ov-file#helm-chart)

```console
helm repo add sealed-secrets https://bitnami-labs.github.io/sealed-secrets
```

```console
helm install sealed-secrets sealed-secrets/sealed-secrets -f helm/values.yml
```

2. Create a secret

```console
kubectl create secret generic <secret-name> --dry-run=client --from-env-file=<myfile.env> -o yaml | kubeseal \
    --controller-name=sealed-secrets \
    --controller-namespace=<namespace> \
    --format yaml \
    -n <namespace>
```

OR

```console
echo -n "MySecret" | kubeseal --raw --name <secret-name> \
    --controller-name=sealed-secrets \
    --controller-namespace=<namespace> \
    -n <namespace>
```

OR

```
cat <file> | kubeseal -n <namespace> -o yaml
```

3. Validate encrypted data

```
cat <mysealedsecretfile.yaml> | kubeseal --validate --controller-name=sealed-secrets --controller-namespace=<namespace>
```

OR

```
kubectl kustomize | yq '. | select(.kind == "SealedSecret")' --yaml-output | kubeseal --validate --controller-name=sealed-secrets --controller-namespace=<namespace>
```

4. Check status of sealed secret

```
kubectl describe sealedsecrets.bitnami.com/<secret-name> -n <namespace>
```
